=== debian/changelog ===
qtwebkit (2.1.0~2011week13-2) unstable; urgency=low

  * Add defines_qt_webkit.diff to display correctly documentation in Qt Creator
    Help plugin. (Closes: #619443)
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jun 2011 12:35:00 +0300

qtwebkit (2.1.0~2011week13-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Add linux_amd64_no_overcommit.diff to avoid crashes on amd64 with less than
    3 or 4GB of RAM. Thanks to Felix Geyer for his help with this issue.

  [ Fathi Boudra ]
  * Ship libqtwebkit-qmlwebkitplugin package. (Closes: #601650)
  * Drop webcore_qtplatformplugin_createfullscreenvideohandler_ftbfs.patch.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 06 Apr 2011 11:37:59 +0300

qtwebkit (2.1.0~2011week09-3) unstable; urgency=high

  * Rename 08_powerpc_s390_no_gc_sections.diff to no_gc_sections.diff and
    extend it to cover armel and mip* as well. Full list: powerpc, s390, arm*,
    mips*.
  * Really replace -g with -gstabs on s390, mips, mipsel and armel. Previously
    it used to grab -g from environment CXXFLAGS.  Hopefully this will truly
    fix OOMs when linking. (Closes: #618325)
  * Urgency=high, transition stuff.

 -- Modestas Vainius <modax@debian.org>  Mon, 28 Mar 2011 03:36:12 +0300

qtwebkit (2.1.0~2011week09-2) unstable; urgency=high

  [ Pino Toscano ]
  * Build-depend on libphonon-dev on non-Linux architectures. (Closes: #617656)

  [ Modestas Vainius ]
  * Build with -gstabs on armel (Closes: #618325). Added to the
    stabs_format_debug_info.diff patch (former
    07_s390_stabs_format_debugging_information.diff).
  * Urgency=high, transition stuff.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 24 Mar 2011 16:12:43 +0200

qtwebkit (2.1.0~2011week09-1) unstable; urgency=low

  * New upstream release - upload to Sid.
  * Add webcore_qtplatformplugin_createfullscreenvideohandler_ftbfs.patch to
    work around the build failure.
  * Switch to Qt MultimediaKit for the video support (instead of Phonon), build
    depends on QtMultimediaKit.
  * Enable geolocation support: build depends on QtLocation and define
    ENABLE_GEOLOCATION.

 -- Fathi Boudra <fabo@debian.org>  Sun, 06 Mar 2011 10:05:46 +0200

qtwebkit (2.1.0~2011week03-1) experimental; urgency=low

  * New upstream release: switch to Qt WebKit 2.1 branch.

  [ Fathi Boudra ]
  * Update debian/control:
    - build depends on Qt 4.7.0 beta 2.
  * Update debian/rules:
    - pass DEFINES+=ENABLE_VIDEO to build with audio/video support.
  * Update libqtwebkit-dev.install file: add qwebkitplatformplugin.h.

  [ Modestas Vainius ]
  * Fix debian/control Vcs fields to point to the new location.

  [ Pino Toscano ]
  * Add patch 09_hurd.diff to fix compilation on Hurd.

 -- Fathi Boudra <fabo@debian.org>  Sat, 29 Jan 2011 18:23:41 +0200

qtwebkit (2.0~week26-2) experimental; urgency=low

  * Fix FTBFS on GNU/kFreeBSD caused by missing strnstr() on glibc systems.

 -- Fathi Boudra <fabo@debian.org>  Wed, 07 Jul 2010 09:51:03 +0300

qtwebkit (2.0~week26-1) experimental; urgency=low

  * Initial release (Closes: #576006)

 -- Fathi Boudra <fabo@debian.org>  Fri, 02 Jul 2010 15:37:23 +0300
