## qtwebkit 2.2.0

=== debian/changelog ===
qtwebkit (2.2.0-3) unstable; urgency=low

  [ Fathi Boudra ]
  * Update the symbols file for ia64 and mipsel architectures.

  [ Pino Toscano ]
  * Add patch hurd.diff to temporarly workaround build failure on Hurd.
  * Update the symbols file for hurd-i386, sh4, and sparc64 architectures.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 28 Dec 2011 10:10:59 +0200

qtwebkit (2.2.0-2) unstable; urgency=low

  [ Pino Toscano ]
  * Improve the symbols file for more archs (based on their build logs):
    armel ia64 kfreebsd-amd64 kfreebsd-i386 mips powerpc s390 s390x sparc

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 25 Dec 2011 21:46:36 +0100

qtwebkit (2.2.0-1) unstable; urgency=low

  * New upstream release:
    - provides support for s390/s390x. (Closes: #637004)
  * Update patches:
    - 0001_fix_symbols_visibility_for_webcore.diff: drop, stolen upstream.
    - 05_sparc_unaligned_access.diff: refresh
    - no_gc_sections.diff: refresh
    - 06_kfreebsd_strnstr.diff, 09_hurd.diff: drop, now strnstr() is properly
      enabled

  [ Pino Toscano ]
  * Add -gstabs to the C(XX)FLAGS also for s390x. (see #637004)
  * Enable the video support for all the OSes, not just on Linux.
  * Add patch glibc_mkspec.diff, to enable/fix compile options for platforms
    using our custom glibc-g++ mkspec.
  * Add a symbols file, based on the previous version (2.1.0~2011week13).

  [ Fathi Boudra ]
  * Update debian/control:
    - bump debhelper build dependency to 8.1.3~.
    - add pkg-config, libgstreamer-plugins-base0.10-dev and
      libgstreamer0.10-dev build dependencies.
    - drop libphonon-dev build and qt-mobility build dependencies. GStreamer
      will be used as the multimedia backend as recommended by upstream.
      (Closes: #634388) 
  * Add debian/README.source: explain how to create a new upstream tarball.
  * Update debian/rules:
    - drop ENABLE_GEOLOCATION as qt-mobility build dependency is removed.
    - add WTF_USE_GSTREAMER to enable GStreamer as the multimedia backend.
    - pass --sourcedirectory=Source to dh as the upstream tarball format has
      changed.
    - add override_dh_auto_clean to remove Source/Makefile file and avoid
      dh_clean failure.
  * Add qwebview designer plugin and make libqtwebkit-dev depend on
    ${shlibs:Depends} as we are shipping the qwebview designer plugin.
    (Closes: #612974)
  * Add adjust_symbols_visibility_for_webcore.diff to fix WebCore symbols
    visibility.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 19 Sep 2011 16:32:18 +0300
