=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15),
+Build-Depends: debhelper (>= 8.1.3~),
                gperf,
+               libgstreamer-plugins-base0.10-dev,
+               libgstreamer0.10-dev,
                libicu-dev,
-               libphonon-dev [kfreebsd-amd64 kfreebsd-i386 hurd-i386],
-               libqt4-dev (>= 4:4.7.0),
-               libqt4-opengl-dev (>= 4:4.7.0),
+               libqt4-dev (>= 4:4.7.3),
+               libqt4-opengl-dev (>= 4:4.7.3),
                libsqlite3-dev,
                libxext-dev,
                libxrender-dev,
-               pkg-kde-tools (>= 0.6.4),
-               qtmobility-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386]
+               pkg-config,
+               pkg-kde-tools (>= 0.6.4)
 Standards-Version: 3.9.2
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit
@@ -22,9 +23,10 @@
 Package: libqtwebkit-dev
 Section: libdevel
 Architecture: any
-Depends: libqt4-dev (>= 4:4.7.0),
+Depends: libqt4-dev (>= 4:4.7.3),
          libqtwebkit4 (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Replaces: libqt4-dev (<= 4:4.7.0~beta1)
 Description: Web content engine library for Qt - development files
  QtWebKit provides a Web browser engine that makes it easy to embed content
